User Account Language Negotiation module
========================================
This module does two things differently from Drupal 8 core:

1. Allows language switchers to save the new language in the user
   account of the logged-in user. This allows the site to transition
   to the user's previously preferred language during login if only
   the "User account saver" language detection plugin is enabled.
2. In addition, it shows languages in their translation. What this
   means is visible in the picture to the right.

You need this module only if your multilingual site has users that
are typically logged in.

Recommended installation
------------------------

1. Download the module (I suggest using Composer)
2. Go to Detection and selection
   (/admin/config/regional/language/detection)
3. Uncheck all plugins except this module's User account saver
4. Make sure your users have a way of switching the language. If
   you haven't set up anything yet, you can to the block list
   (/admin/structure/block) and add Drupal Core's "Language switcher"
   block.

Inner workings
--------------
Technically speaking, this module just supplies a LanguageNegotiation
plugin. It leaves the visual part of picking a language to other
modules. A typically setup is to use Core's "Language switcher"
block, optionally in conjunction with the Language Icons module. The
picture above is from this setup.

This module acts in 3 situations:

1. When the user opens a page, Drupal needs to know which language
   the page should be rendered in. If you are curious, see the
   `getLangcode()` function in the code.
2. When the user just switched the language: save it in his or her
   account (`processInbound()`).
3. When the language switcher block needs to know which languages
   exist (`getLanguageSwitchLinks()`).
